package piy;

/**
* Default PIYAction Descriptor class used for classes for which no specific 
* PIYAction Descriptor has been found.
* @author David Vivash
* @version 1.0, 18/03/01
*/
public class StandardActionDescriptor extends ActionDescriptor
{
	private Class describedClass = null;
	private String name = null;

	public StandardActionDescriptor(Class describedClass, String name)
	{
		this.describedClass = describedClass;
		this.name = name;
	}

	public Class getDescribedClass() { return describedClass; }

	public String getName() { return name; }

	public String getDescription() { return name; }

}