package piy.usercomponent;

import java.io.File;
import java.awt.Image;
import javax.swing.ImageIcon;

/**
* Describes the Button user component
* @author David Vivash
* @version 1.0, 26/11/00
*/
public class ButtonDescriptor extends piy.Descriptor
{
	public Class getDescribedClass() { return UserButton.class; }

	public String getName() { return "Button"; }

	public String getDescription() { return "A standard button with no icon which can be clicked"; }

	/**
	* Returns the (24x24) icon that should be displayed on the PIY toolbar.
	* @return the image of the button
	*/
	public Image getIcon() {
		String sep = File.separator;
		return new ImageIcon("piy" + sep + "usercomponent" + sep + "button.gif").getImage();
	}
}