package piy.usercomponent;

import java.io.File;
import java.awt.Image;
import javax.swing.ImageIcon;

/**
* Describes the Label user component
* @author David Vivash
* @version 1.0, 24/02/01
*/
public class LabelDescriptor extends piy.Descriptor
{
	public Class getDescribedClass() { return UserLabel.class; }

	public String getName() { return "Label"; }

	public String getDescription() { return "A standard text label"; }

	/**
	* Returns the (24x24) icon that should be displayed on the PIY toolbar.
	* @return the image of the label
	*/
	public Image getIcon() {
		String sep = File.separator;
		return new ImageIcon("piy" + sep + "usercomponent" + sep + "label.gif").getImage();
	}
}