package piy.usercomponent;

import javax.swing.*;
import piy.UserComponent;

/**
* A check-box object which the user can add to their windows.
* @author David Vivash
* @version 1.0, 02/05/01
*/
public class UserCheckBox extends JCheckBox implements UserComponent
{
	public UserCheckBox() {
		setText("Check");
	}

	public String getText() {
		return super.getText();
	}

	public void setText(String text) {
		super.setText(text);
	}
	
	public boolean getChecked() { return super.isSelected(); }
	public void setChecked(boolean val) { super.setSelected(val); } 
}