package piy.usercomponent;

import javax.swing.JLabel;
import piy.UserComponent;

/**
* A label object which the user can add to their windows.  Properties include
* the text on the label.
* @author David Vivash
* @version 1.0, 29/11/00
*/
public class UserLabel extends JLabel implements UserComponent
{
	public UserLabel() {
		setText("Label");
	}

	public String getText() {
		return super.getText();
	}

	public void setText(String text) {
		super.setText(text);
	}
}