package piytest;

import junit.framework.*;

/**
* TestSuite that runs all the piy tests
* @author David Vivash
* @version 1.0, 22/11/00
*/
public class AllTests {

	public static Test suite ( ) {
		TestSuite suite= new TestSuite("All PIY Tests");

		suite.addTest(MapperTest.suite());
		suite.addTest(piy.PIYNamerTest.suite());
		suite.addTest(PIYClassLoaderTest.suite());
		suite.addTest(PropertyTest.suite());
		suite.addTest(ActionListTest.suite());
		suite.addTest(FixedPropertyTest.suite());

	    return suite;
	}
}