package piy;

import java.io.*;

/**
* This class is primarily in place to allow actions to retrieve 
* information about the currently running project.
* @author David Vivash
* @version 1.0, 20/04/01
*/
public class ApplicationManager 
{

	private Application app = null;
	private static ApplicationManager instance = null; 

	private ApplicationManager() {
	}

	public static ApplicationManager getInstance() {
		return (instance == null) ? instance = new ApplicationManager() :
									instance;
	}
	
	protected void setApplication(Application app) {
		this.app = app;
	}
	
	public Application getApplication() { return app; }
	
}