package piy;

import java.io.Serializable;

/**
* An action that doesn't do anything.  This action is inserted into actionlists, when
* a gap is required - new Actions in the action list replace this one.
* @author David Vivash
* @version 1.0, 17/3/01
*/
public class NullAction implements PIYAction, Serializable {

	public NullAction() { }

	public Object execute() {
		//do nothing
		return null;
	}

	public Class getReturnType() { return null; }
}