package piy;

import java.io.Serializable;

/**
* The null comparator is a placeholder onto which the user can place other comparators.
* @author David Vivash
* @version 1.0, 30/04/01
*/ 
public class NullComparator extends PIYComparator implements Serializable {

	private static String[] modes = new String[] {
			"Null"
		};

	public NullComparator() {
		super.init(this);
	}
	
	public Class getFirstType() { return Void.class; }
	public Class getSecondType() { return Void.class; }

	public String[] getModes() {
		return modes;
	}

	public boolean evaluate() {
		return true; //
	}
}