package piy;

/**
* Default Descriptor class used for classes for which no specific Descriptor has been
* found.
* @author David Vivash
* @version 1.0, 26/11/00
*/
public class StandardDescriptor extends Descriptor
{
	private Class describedClass = null;
	private String name = null;

	public StandardDescriptor(Class describedClass, String name)
	{
		this.describedClass = describedClass;
		this.name = name;
	}

	public Class getDescribedClass() { return describedClass; }

	public String getName() { return name; }

	public String getDescription() { return name; }

}