package piy.action;

import piy.PIYAction;
import java.awt.*;
import java.io.*;

/**
* Promts the end user for a filename.
*
* @author David Vivash
* @version 1.0, 28/04/01
*/
public class GetFilename implements PIYAction, Serializable {

	private boolean isLoadMode = true;

	public Class getReturnType() { return File.class; }
	
	public boolean getLoadMode() { return isLoadMode; }
	public void setLoadMode(boolean val) { isLoadMode = val; }
	
	public Object execute() {		
		FileDialog dialog = null;
		if (isLoadMode)
			dialog = new FileDialog(new Frame(), "Load", FileDialog.LOAD);
		else
			dialog = new FileDialog(new Frame(), "Save", FileDialog.SAVE);

		dialog.show();

		return new File(dialog.getDirectory(), dialog.getFile());
	}

}