package piy.listeners;

import piy.PiyEventListener;
import java.awt.event.*;
import javax.swing.AbstractButton;

/**
* Standard listener for button events.
* @author David Vivash
* @version 1.0, 13/02/01
*/
public class PiyButtonListener extends PiyEventListener implements ActionListener {

	private static final String BUTTON_CLICKED = "Clicked";

	public PiyButtonListener() { super(); }

	public static Class getSupportedClass() { return AbstractButton.class; }

	public void actionPerformed(ActionEvent e) {
		eventTriggered(BUTTON_CLICKED);
	}

	public String[] getEvents() {
		return new String[] { BUTTON_CLICKED };
	}

	public String getAddListenerMethod() { return "addActionListener"; }
	public Class getAddListenerType() { return ActionListener.class; }
}