package piy.usercomponent;

import java.io.File;
import java.awt.Image;
import javax.swing.ImageIcon;

import piy.Descriptor;

/**
* Describes the CheckBox user container
* @author David Vivash
* @version 1.0, 02/05/01
*/
public class CheckBoxDescriptor extends Descriptor
{
	public Class getDescribedClass() { return UserCheckBox.class; }

	public String getName() { return "Checkbox"; }

	public String getDescription() { return "A selectable check box"; }

	/**
	* Returns the (24x24) icon that should be displayed on the PIY toolbar.
	* @return the image of the checkbox
	*/
	public Image getIcon() {
		String sep = File.separator;
		return new ImageIcon("piy" + sep + "usercomponent" + sep + "checkbox.gif").getImage();
	}
}