package piy.usercomponent;

import java.io.File;
import java.awt.Image;
import javax.swing.ImageIcon;

/**
* Describes the Text Area user component
* @author David Vivash
* @version 1.0, 29/04/01
*/
public class TextAreaDescriptor extends piy.Descriptor
{
	public Class getDescribedClass() { return UserTextArea.class; }

	public String getName() { return "Text Area"; }

	public String getDescription() { return "A scrollable text pane in which the user can enter text"; }

	/**
	* Returns the (24x24) icon that should be displayed on the PIY toolbar.
	* @return the image of the text pane
	*/
	public Image getIcon() {
		String sep = File.separator;
		return new ImageIcon("piy" + sep + "usercomponent" + sep + "textpane.gif").getImage();
	}
}