package piy.usercomponent;

import java.io.File;
import java.awt.Image;
import javax.swing.ImageIcon;

/**
* Describes the Text Field user component
* @author David Vivash
* @version 1.0, 26/02/01
*/
public class TextFieldDescriptor extends piy.Descriptor
{
	public Class getDescribedClass() { return UserTextField.class; }

	public String getName() { return "Text Field"; }

	public String getDescription() { return "A text field in which the user can enter text"; }

	/**
	* Returns the (24x24) icon that should be displayed on the PIY toolbar.
	* @return the image of the text pane
	*/
	public Image getIcon() {
		String sep = File.separator;
		return new ImageIcon("piy" + sep + "usercomponent" + sep + "textfield.gif").getImage();
	}
}