package piy.usercontainer;

import java.io.File;
import java.awt.Image;
import javax.swing.ImageIcon;

import piy.Descriptor;

/**
* Describes the Panel user container
* @author David Vivash
* @version 1.0, 02/05/01
*/
public class PanelDescriptor extends Descriptor
{
	public Class getDescribedClass() { return UserPanel.class; }

	public String getName() { return "Panel"; }

	public String getDescription() { return "A simple general purpose container"; }

	/**
	* Returns the (24x24) icon that should be displayed on the PIY toolbar.
	* @return the image of the panel
	*/
	public Image getIcon() {
		String sep = File.separator;
		return new ImageIcon("piy" + sep + "usercontainer" + sep + "panel.gif").getImage();
	}
}